DrawSprites:
	ld	a,(active_meteors)
	or	a
	jr	z,DS_Bullets
	ld	b,a

	ld	hl,meteor_array - m_entry_size
	ld	de,m_entry_size
DS_MeteorLoop:
	add	hl,de
	ld	a,(hl)
	or	a
	jr	z,DS_MeteorLoop

	inc	hl		; -> xpos
	ld	a,(hl)
	inc	hl		; -> xdelta
	inc	hl		; -> ypos
	ld	e,(hl)
	sra	e
	sra	e
	push	hl
	push	bc
		ld	ix,meteor_image
		call	PutSprite
	pop	bc
	pop	hl
	
	inc	hl		; -> ydelta
	inc	hl		; -> active

	ld	de,m_entry_size
	djnz	DS_MeteorLoop + 1

DS_Bullets:
	ld	a,(active_bullets)
	or	a
	ret	z
	ld	b,a

	ld	hl,bullet_array - b_entry_size
	ld	de,b_entry_size
DS_BulletLoop:
	add	hl,de
	ld	a,(hl)
	or	a
	jr	z,DS_BulletLoop

	inc	hl		; -> xpos
	ld	a,(hl)
	inc	hl		; -> ypos
	ld	e,(hl)
	sra	e
	sra	e
	push	hl
	push	bc
		ld	ix,bullet_image
		call	PutSprite
	pop	bc
	pop	hl

	inc	hl		; -> active
	ld	de,b_entry_size
	djnz	DS_BulletLoop + 1
	ret

.end